Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec
Class PNGImageEncoder

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.ImageEncoderImpl
          org.apache.batik.ext.awt.image.codec.PNGImageEncoder

All Implemented Interfaces:
  ImageEncoder

public class PNGImageEncoder
extends ImageEncoderImpl

An ImageEncoder for the PNG file format.

Since:
  EA4

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.codec.ImageEncoderImpl
`output`

Constructor Summary
`PNGImageEncoder(java.io.OutputStream output, PNGEncodeParam param)`

Method Summary
`void` | `encode(java.awt.image.RenderedImage im)` This method encodes a `RenderedImage` into PNG.

Methods inherited from class org.apache.batik.ext.awt.image.codec.ImageEncoderImpl
`encode, getOutputStream, getParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNGImageEncoder

    public PNGImageEncoder(java.io.OutputStream output,
                           PNGEncodeParam param)

Method Detail

### encode

    public void encode(java.awt.image.RenderedImage im)
                throws java.io.IOException

  This method encodes a `RenderedImage` into PNG. The stream into which the PNG is dumped is not closed at the end of the operation, this should be done if needed by the caller of this method.

  Specified by:
    `encode` in interface `ImageEncoder`
  Specified by:
    `encode` in class `ImageEncoderImpl`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.